package com.prolog.eis.service.page;

import com.prolog.eis.dto.contaienr.ContainerCleanDto;
import com.prolog.eis.dto.rf.*;

import java.util.List;
import java.util.Map;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/1 10:41
 */
public interface PdaService {
    void cleanContainerItem(ContainerCleanDto containerCleanDto) throws Exception;

    List<DemonstrateTask> demonstrateList(DemonstrateTaskDto demonstrateTaskDto) throws Exception;

    void demonstrateTaskReq(DemonstrateTaskReqDto demonstrateTaskReqDto) throws Exception;

    DemonstrateTaskInfo demonstrateTaskInfo(DemonstrateTaskReqDto demonstrateTaskReqDto) throws Exception;

    void demonstrateBack(DemonstrateTaskReqDto demonstrateTaskReqDto) throws Exception;

    List<Map<String,Object>> wmsCarryTaskTargetList(Integer type);

    ContainerStockRespDto findMoveContainer(String containerSubNo) throws Exception;

    List<WMSAreaRespDto> queryArea() throws Exception;

    void confirmMoveContainer(ConfirmMoveContainerReqDto req) throws Exception;
}
